## com.baidubce.model
Class AbstractBceRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest

Direct Known Subclasses:
  AddStepsRequest, BatchGetItemRequest, BatchWriteItemRequest, CreateClusterRequest, CreateInstanceRequest, CreateJobRequest, CreateMediaResourceRequest, CreateNotificationRequest, CreatePipelineRequest, CreatePresetRequest, CreatePresetRequest, CreateSessionRequest, CreateTableRequest, CreateThumbnailJobRequest, CreateTranscodingJobRequest, CreateWaterMarkRequest, DeleteInstanceRequest, DeleteItemRequest, DeleteMediaResourceRequest, DeleteNotificationRequest, DeletePipelineRequest, DeletePresetRequest, DeletePresetRequest, DeleteSessionRequest, DeleteTableRequest, DeleteWaterMarkRequest, GenerateMediaIdRequest, GeneratePresignedUrlRequest, GenericAccountRequest, GenericBucketRequest, GetBosAccountOwnerRequest, GetClusterRequest, GetInstanceRequest, GetItemRequest, GetJobRequest, GetMediaInfoOfFileRequest, GetMediaResourceRequest, GetNotificationRequest, GetPipelineRequest, GetPlayableUrlRequest, GetPlayerCodeRequest, GetPresetRequest, GetPresetRequest, GetSecurityPolicyRequest, GetSessionRequest, GetStepRequest, GetTableRequest, GetThumbnailJobRequest, GetTranscodingJobRequest, GetWaterMarkRequest, InternalCreateMediaRequest, ListBucketsRequest, ListClustersRequest, ListInstanceGroupsRequest, ListInstancesRequest, ListInstancesRequest, ListJobsRequest, ListMediaResourceRequest, ListNotificationsRequest, ListPipelinesRequest, ListPresetsRequest, ListPresetsRequest, ListSecurityPoliciesRequest, ListSessionsRequest, ListStepsRequest, ListTablesRequest, ListThumbnailJobsRequest, ListTranscodingJobsRequest, ListWaterMarkRequest, PauseSessionRequest, PublishMediaResourceRequest, PutItemRequest, QueryRequest, RefreshSessionRequest, ResponseHeaderOverrides, ResumeSessionRequest, SesRequest, SmsRequest, StartPullSessionRequest, StopMediaResourceRequest, TerminateClusterRequest, UpdateItemRequest, UpdateMediaResourceRequest, UpdateSecurityPolicyInnerRequest, UpdateSecurityPolicyRequest, UpdateTableRequest

    @NotThreadSafe
    public abstract class AbstractBceRequest

extends Object

Base class for all BCE web service request objects.

Constructor Summary
`AbstractBceRequest()`

Method Summary
`BceCredentials` `getRequestCredentials()` Returns the optional credentials to use to sign this request, overriding the default credentials set at the client level.
`void` `setRequestCredentials(BceCredentials credentials)` Sets the optional credentials to use for this request, overriding the default credentials set at the client level.
`abstract AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBceRequest

    public AbstractBceRequest()

Method Detail

### getRequestCredentials

    public BceCredentials getRequestCredentials()

  Returns the optional credentials to use to sign this request, overriding the default credentials set at the client level.

  Returns:
    The optional credentials to use to sign this request, overriding the default credentials set at the client level.

### setRequestCredentials

    public void setRequestCredentials(BceCredentials credentials)

  Sets the optional credentials to use for this request, overriding the default credentials set at the client level.

  Parameters:
    `credentials` - The optional BCE security credentials to use for this request, overriding the default credentials set at the client level.

### withRequestCredentials

    public abstract AbstractBceRequest withRequestCredentials(BceCredentials credentials)

Copyright © 2016. All rights reserved.